package org.objectweb.jonas.jtests.beans.relation.lcp;

import javax.ejb.ObjectNotFoundException;
import javax.ejb.FinderException;
import javax.ejb.CreateException;


public interface SIMPLEPARENTLocalHome extends javax.ejb.EJBLocalHome {

    SIMPLEPARENTLocal createDEFAULT(String spPkId, String spDesc)
        throws CreateException ;

    SIMPLEPARENTLocal findByPrimaryKey(SIMPLEPARENTPK primarykey)
        throws ObjectNotFoundException, FinderException ;

    java.util.Collection findByfindall()
        throws javax.ejb.FinderException ;

}
